/**
 * Copyright (C) 2008  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.console.navigation;

import org.exoplatform.container.PortalContainer;
import org.exoplatform.services.organization.User;

/**
 * The UserEventListener is triggered by the event of adding a user. It allow to
 * create an attributed page to him.
 * 
 * @author Elwalid Brahim <elwalid.brahim@bull.net>
 */
public class NovaUserEventListener extends org.exoplatform.services.organization.UserEventListener {

  @Override
  public void postSave(User user, boolean isNew) throws Exception {
    super.postSave(user, isNew);
    /* Get the console pages management service */
    PortalContainer portalContainer = PortalContainer.getInstance();
    ConsolePagesManagementService consolePagesManagementService = (ConsolePagesManagementService) portalContainer
        .getComponentInstanceOfType(ConsolePagesManagementService.class);

    /*
     * If the user is newly created, we create an according page that regroup
     * all his applications
     */
    if (isNew) {
      consolePagesManagementService.createUserPages(user);
    }
  }

}
